Interrogez GET /replicate/v1/predictions/ pour récupérer les détails d’une prédiction Replicate et sa progression en temps réel par ID de tâche pour les workflows de génération d’images.
curl --request GET \
--url https://api.cometapi.com/replicate/v1/predictions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"input": {},
"model": "<string>",
"output": [
"<string>"
],
"status": "<string>",
"created_at": "<string>",
"data_removed": true,
"logs": "<string>",
"urls": {
"get": "<string>",
"cancel": "<string>",
"stream": "<string>"
},
"error": "<string>",
"metrics": {
"image_count": 123,
"predict_time": 123
},
"version": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}status pour voir si la prédiction est encore en cours d’exécution ou déjà terminéeoutput pour les URL des ressources généréeserror pour les échecs côté fournisseurmetrics lorsque vous avez besoin des temps d’exécution ou du détail du nombre d’imagesCréez d’abord la prédiction
Interrogez par ID de prédiction
status atteigne un état terminal et que output soit soit renseigné, soit qu’une erreur du fournisseur soit renvoyée.Bearer token authentication. Use your CometAPI key.
Prediction id returned by the create endpoint.
Current prediction state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/replicate/v1/predictions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"input": {},
"model": "<string>",
"output": [
"<string>"
],
"status": "<string>",
"created_at": "<string>",
"data_removed": true,
"logs": "<string>",
"urls": {
"get": "<string>",
"cancel": "<string>",
"stream": "<string>"
},
"error": "<string>",
"metrics": {
"image_count": 123,
"predict_time": 123
},
"version": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}